/* Before adding any unnecessary CSS rules, please check out the Snap documentation at https://bit.ly/3PqSii8. */
/* Override Styles */
/*
.service-style-1 h2 {margin: 10px 0;}
.ry-menu .ry-nav li .dropdown-toggle {padding: 30px 0;}
ul#quick-links li a {display: block;width: 100%;}
#in-services-3 ul li a {margin-left: 0px;margin-top:30px}
*/
[x-cloak] { display: none !important; }
.promotions img { min-width: 22rem; max-width:22rem;}
#in-services-style-2.squares .ry-each:before, #in-services-style-2.squares .ry-each img {border-radius: 0;}
.mobile-menu-icon a{display: flex;height: 100%;width: 100%;justify-content: center;align-items: center;}
body.fancybox-active .ry-sticky-menu.fixed {z-index: 9999;}
.testimonials-swiper p,
.testimonials-swiper-2 p{
overflow: hidden;
display: -webkit-box;
-webkit-box-orient: vertical;
-webkit-line-clamp: 4
}
.service-hover {
    position: absolute;
    z-index: 9;
    opacity: 0;
    transition: opacity 0.3s ease;
    text-align: center;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    color: white;
}

/* Show service-hover when parent with data-target is hovered */
[data-target]:hover .service-hover {
    opacity: 1;
}

/* Apply the overlay effect when parent is hovered */
[data-target]:hover .service-hover::before {
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 100%;
    height: 100%;
    z-index: -1; /* Make sure it's behind the text */
}
.mm-navbar {
	color: #ffffff;
}

/* HP Edits - Started <February 06, 2026> */

/**/
	/*fonts*/
body:not([data-page-name="index"]) h2 {
    color: #374151;
}
	/*btns*/
.ry-btn-primary {
    color: #374151;
}
.ry-menu .ry-nav li.dropdown .dropdown-menu li {
    background: var(--color-primary-background);
    color: #374151;
}
/*Modal*/
/* Header */
	/**/
.ry-menu .ry-nav li.primary .caret {
    border-color: var(--color-primary-text);
}

.ry-menu .ry-nav li.primary:hover .caret {
    border-color: var(--color-secondary-background);
}

.snap-mobile-menu {
    background: white;
}

mm-burger {
    color: #374151;
}
.snap-mobile-menu img {
    width: 200px;
}
/* Hero */
	/**/
/* CTA */
	/**/
.cta-btn:nth-child(1) {
    background: var(--color-primary-background);
	color: #374151;
}
.cta-btn:nth-child(2) {
    background: #70a3db
}
.cta-btn:nth-child(3) {
    background: var(--color-secondary-background);
}
.cta-btn:nth-child(4) {
    background: black;
}
.cta-btn:hover {
	background: none !important;
	color: black !important;
	border-color: black !important;
}
/* Welcome */
	/**/
#welcome-wrap.style-1 .svg-background .cls-1 {
    fill: var(--color-secondary-background);
}
#welcome-wrap.style-1 .module-22 .ry-left img {
    border-color: black;
}
#welcome-wrap.style-1 {
    padding-bottom: 16vw;
}
/* Services */
	/**/
#section-hp-services::before {
    background: #70a3db;
    height: 40%;
    top: auto;
    bottom: 0;
}
/* Meet the Team */
	/**/

.ry-hp-team::before {
    background: #70a3db;
    height: 20%;
}
/* Insurance */
	/**/
/* Brand */
	/**/

#hp-brands-6 .overflow-hidden {
    padding: 0;
}

.t-swiper-button-next, .t-swiper-button-prev, .brand-4-swiper-button-next, .brand-4-swiper-button-prev {
    background-color: black;
}

#hp-brands-6 .swiper-slide {
    background: transparent;
}
/* Request Appointment */
	/**/
/* Testimonials */
	/**/
.module-testimonials.style-4 .testimonials-swiper-4 .swiper-slide {
    color: #374151;
}

.module-testimonials.style-4 .testimonials-swiper-4 .swiper-slide svg {
    color: var(--color-secondary-background);
}

.module-testimonials.style-4 .review-separator {
    background-color: var(--color-secondary-background);
}
/* Footer */
	/**/

#ry-footer-3 .footer-contents::before,
#ry-footer-3::after {
    background-color: var(--color-secondary-background);
}
/*Media Queries*/
	/**/
@media (max-width:1024px) {
    body[data-page-name="index"] #navigation {
        position: relative;
    }
    
    #hp-slider, #hp-slider .swiper-wrapper, .homepage-swiper .swiper-slide img {
        height: 100% !important;
    }
	.ry-hp-team::before {
		height: 0;
	}
	
#welcome-wrap.style-1 .module-22 .ry-right .content-wrap p {
    text-align: center !important;
}
}
@media (width < 1080px) {
    #welcome-wrap.style-1 {
        padding: 0;
    }
    #section-hp-services:before, .module-19.style2:before, .ry-services.style2::before {
        opacity: 1;
    }
}
@media (min-width: 768px) {
    .slider-info-center-bottom {
        bottom: 0%;
    }
}
/* End - HP Edits*/

body[data-page-name="contact-us"] #footer-map {
    height: 100px !important;
}

body:not([data-page-name="index"]) .cta-btn:nth-child(1) {
    background: var(--color-secondary-background);
    color: var(--color-primary-text);
}
[data-page-id="WebPage-201d79f6-a84c-4873-bf10-afd47b4c4f75"] .bg-gray-200.rounded-lg {
    display:flex;
    align-items:center;
    justify-content:center;
    height:200px;
    
}

body[data-page-name="frames"] div#hp-brands-6 {
    background-color: #f3f4f6;
}

body[data-page-name="contact-us"] div#ry-footer-3 {
    padding-top: 220px;
}
[data-page-id="WebPage-64ec1e65-6b90-4799-8774-38b19de50492"] .bg-gray-200.rounded-lg {
    display:flex;
    align-items:center;
    justify-content:center;
    height:180px;
    
}
body:not([data-page-name="index"]) .ry-menu .ry-nav li.primary a {
    font-size: 20px;
}